Catalyst-Engine-Stomp v0.17 Perl 5 v5.15.0 x86_64-linux

Status
Pass
From
Serguei Trouchelle (STRO)
Dist
Catalyst-Engine-Stomp v0.17
Platform
Perl 5 v5.15.0 x86_64-linux
Date
2011-12-21T11:14:56
ID
034af98a-2bc5-11e1-a6d1-5544585997e0
This distribution has been tested as part of the CPAN Testers
project, supporting the Perl programming language.  See
http://wiki.cpantesters.org/ for more information or email
questions to cpan-testers-discuss@perl.org


--
Dear Paul Mooney,

This is a computer-generated report for Catalyst-Engine-Stomp-0.17
on perl 5.15.0, created by CPAN-Reporter-1.2002.

Thank you for uploading your work to CPAN.  Congratulations!
All tests were successful.

Sections of this report:

    * Tester comments
    * Program output
    * Prerequisites
    * Environment and other context

------------------------------
TESTER COMMENTS
------------------------------

Additional comments from tester:

this report is from an automated smoke testing program
and was not reviewed by a human for accuracy

------------------------------
PROGRAM OUTPUT
------------------------------

Output from '/usr/bin/make test':

PERL_DL_NONLAZY=1 /home/trushel/perl/perl5150/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0, 'inc', 'blib/lib', 'blib/arch')" t/00_use.t t/01_notabs.t t/02_pod.t t/03_pod_coverage.t t/10_good-message.t t/11_bad-action.t t/12_json-message.t t/13_message-driven-request.t t/14_message-catch-error.t t/15_utf8.t t/16_old_config.t t/17_new_style_subscriptions.t t/18_jmstype.t
t/00_use.t ...................... ok
t/01_notabs.t ................... skipped: NoTabs test only for developers.
t/02_pod.t ...................... skipped: set TEST_POD to enable this test
t/03_pod_coverage.t ............. skipped: set TEST_POD to enable this test
t/10_good-message.t ............. skipped: No ActiveMQ server installed by Alien::ActiveMQ, try running the "install-activemq" command
t/11_bad-action.t ............... skipped: No ActiveMQ server installed by Alien::ActiveMQ, try running the "install-activemq" command
t/12_json-message.t ............. skipped: No ActiveMQ server installed by Alien::ActiveMQ, try running the "install-activemq" command
Use of uninitialized value in string eq at /home/trushel/perl/perl5150/lib/site_perl/5.15.0/Catalyst/Engine.pm line 478.
Use of uninitialized value in string eq at /home/trushel/perl/perl5150/lib/site_perl/5.15.0/Catalyst.pm line 1802.
Use of uninitialized value in string eq at /home/trushel/perl/perl5150/lib/site_perl/5.15.0/Catalyst/Engine.pm line 478.
Use of uninitialized value in string eq at /home/trushel/perl/perl5150/lib/site_perl/5.15.0/Catalyst.pm line 1802.
[error] no message type specified
t/13_message-driven-request.t ... ok
Use of uninitialized value in string eq at /home/trushel/perl/perl5150/lib/site_perl/5.15.0/Catalyst/Engine.pm line 478.
Use of uninitialized value in string eq at /home/trushel/perl/perl5150/lib/site_perl/5.15.0/Catalyst.pm line 1802.
Use of uninitialized value in string eq at /home/trushel/perl/perl5150/lib/site_perl/5.15.0/Catalyst/Engine.pm line 478.
Use of uninitialized value in string eq at /home/trushel/perl/perl5150/lib/site_perl/5.15.0/Catalyst.pm line 1802.
[error] Exception thrown: StompTestApp::Error=HASH(0x34d1190)
t/14_message-catch-error.t ...... ok
t/15_utf8.t ..................... skipped: No ActiveMQ server installed by Alien::ActiveMQ, try running the "install-activemq" command
t/16_old_config.t ............... skipped: No ActiveMQ server installed by Alien::ActiveMQ, try running the "install-activemq" command
t/17_new_style_subscriptions.t .. skipped: No ActiveMQ server installed by Alien::ActiveMQ, try running the "install-activemq" command
t/18_jmstype.t .................. skipped: No ActiveMQ server installed by Alien::ActiveMQ, try running the "install-activemq" command
All tests successful.
Files=13, Tests=12, 14 wallclock secs ( 0.06 usr  0.01 sys +  4.36 cusr  0.42 csys =  4.85 CPU)
Result: PASS

------------------------------
PREREQUISITES
------------------------------

Prerequisite modules loaded:

requires:

    Module                         Need    Have    
    ------------------------------ ------- --------
    Alien::ActiveMQ                0.00003 0.00004 
    Catalyst::Engine::Embeddable   v0.0.1  0.000003
    Catalyst::Plugin::ConfigLoader 0       0.30    
    Catalyst::Runtime              5.80004 5.90002 
    Data::Serializer               0.49    0.59    
    Moose                          0       2.0300  
    MooseX::Types                  0       0.30    
    MooseX::Workers                0.05    0.16    
    namespace::autoclean           0.05    0.13    
    Net::Stomp                     0.34    0.42    
    YAML                           0       0.77    
    YAML::XS                       0.32    0.37    

build_requires:

    Module                         Need    Have    
    ------------------------------ ------- --------
    Alien::ActiveMQ                0.00003 0.00004 
    Catalyst::Plugin::ConfigLoader 0       0.30    
    ExtUtils::MakeMaker            6.42    6.62    

configure_requires:

    Module                         Need    Have    
    ------------------------------ ------- --------
    ExtUtils::MakeMaker            6.42    6.62    


------------------------------
ENVIRONMENT AND OTHER CONTEXT
------------------------------

Environment variables:

    AUTOMATED_TESTING = 1
    LANG = en_US.UTF-8
    PATH = /usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
    PERL5LIB = 
    PERL5OPT = 
    PERL5_CPANPLUS_IS_RUNNING = 17700
    PERL5_CPAN_IS_RUNNING = 17700
    PERL5_CPAN_IS_RUNNING_IN_RECURSION = 6296,17700
    PERL_CR_SMOKER_CURRENT = Catalyst-Engine-Stomp-0.17
    PERL_EXTUTILS_AUTOINSTALL = --defaultdeps
    PERL_MM_USE_DEFAULT = 1
    SHELL = /bin/bash
    TERM = xterm

Perl special variables (and OS-specific diagnostics, for MSWin32):

    $^X = /home/trushel/perl/perl5150/bin/perl
    $UID/$EUID = 138375 / 138375
    $GID = 5762 4 20 21 24 25 26 30 44 46 104 105 119 122 431 5762
    $EGID = 5762 4 20 21 24 25 26 30 44 46 104 105 119 122 431 5762

Perl module toolchain versions installed:

    Module              Have    
    ------------------- --------
    CPAN                1.9800  
    CPAN::Meta          2.112621
    Cwd                 3.33    
    ExtUtils::CBuilder  0.280202
    ExtUtils::Command   1.17    
    ExtUtils::Install   1.54    
    ExtUtils::MakeMaker 6.62    
    ExtUtils::Manifest  1.60    
    ExtUtils::ParseXS   3.04_04 
    File::Spec          3.33    
    JSON                2.53    
    JSON::PP            2.27200 
    Module::Build       0.3800  
    Module::Signature   0.68    
    Parse::CPAN::Meta   1.4401  
    Test::Harness       3.23    
    Test::More          0.98    
    YAML                0.77    
    YAML::Syck          1.19    
    version             0.94    


--

Summary of my perl5 (revision 5 version 15 subversion 0) configuration:
   
  Platform:
    osname=linux, osvers=2.6.32-32-generic, archname=x86_64-linux
    uname='linux trushel-glaptop 2.6.32-32-generic #62-ubuntu smp wed apr 20 21:52:38 utc 2011 x86_64 gnulinux '
    config_args=''
    hint=recommended, useposix=true, d_sigaction=define
    useithreads=undef, usemultiplicity=undef
    useperlio=define, d_sfio=undef, uselargefiles=define, usesocks=undef
    use64bitint=define, use64bitall=define, uselongdouble=undef
    usemymalloc=n, bincompat5005=undef
  Compiler:
    cc='cc', ccflags ='-fno-strict-aliasing -pipe -fstack-protector -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64',
    optimize='-O2',
    cppflags='-fno-strict-aliasing -pipe -fstack-protector -I/usr/local/include'
    ccversion='', gccversion='4.4.3', gccosandvers=''
    intsize=4, longsize=8, ptrsize=8, doublesize=8, byteorder=12345678
    d_longlong=define, longlongsize=8, d_longdbl=define, longdblsize=16
    ivtype='long', ivsize=8, nvtype='double', nvsize=8, Off_t='off_t', lseeksize=8
    alignbytes=8, prototype=define
  Linker and Libraries:
    ld='cc', ldflags =' -fstack-protector -L/usr/local/lib'
    libpth=/usr/local/lib /lib/../lib /usr/lib/../lib /lib /usr/lib /usr/lib/x86_64-linux-gnu /lib64 /usr/lib64
    libs=-lnsl -ldl -lm -lcrypt -lutil -lc
    perllibs=-lnsl -ldl -lm -lcrypt -lutil -lc
    libc=/lib/libc-2.11.1.so, so=so, useshrplib=false, libperl=libperl.a
    gnulibc_version='2.11.1'
  Dynamic Linking:
    dlsrc=dl_dlopen.xs, dlext=so, d_dlsymun=undef, ccdlflags='-Wl,-E'
    cccdlflags='-fPIC', lddlflags='-shared -O2 -L/usr/local/lib -fstack-protector'


Characteristics of this binary (from libperl): 
  Compile-time options: PERL_DONT_CREATE_GVSV PERL_MALLOC_WRAP
                        PERL_PRESERVE_IVUV USE_64_BIT_ALL USE_64_BIT_INT
                        USE_LARGE_FILES USE_LOCALE USE_LOCALE_COLLATE
                        USE_LOCALE_CTYPE USE_LOCALE_NUMERIC USE_PERLIO
                        USE_PERL_ATOF
  Built under linux
  Compiled at Jun 22 2011 19:13:19
  %ENV:
    PERL5LIB=""
    PERL5OPT=""
    PERL5_CPANPLUS_IS_RUNNING="17700"
    PERL5_CPAN_IS_RUNNING="17700"
    PERL5_CPAN_IS_RUNNING_IN_RECURSION="6296,17700"
    PERL_CR_SMOKER_CURRENT="Catalyst-Engine-Stomp-0.17"
    PERL_EXTUTILS_AUTOINSTALL="--defaultdeps"
    PERL_MM_USE_DEFAULT="1"
  @INC:
    /home/trushel/perl/perl5150/lib/site_perl/5.15.0/x86_64-linux
    /home/trushel/perl/perl5150/lib/site_perl/5.15.0
    /home/trushel/perl/perl5150/lib/5.15.0/x86_64-linux
    /home/trushel/perl/perl5150/lib/5.15.0
    .